Subject: Re: wget FTP wildcards
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Thu, 22 Jan 2004 22:04:58 -0800

Václav Krpec wrote:
> 
> But, as you can see, I'm trying to do __FTP__ connection,
> and these allows wildcards usage (according to wget
> man pages). Maybe "-g on" option will help... I'm gonna try... No.
> I know it works on Linux, why not on cygWin? Do I need special settings?
> Or wget thinks I'm trying to make http connection? Why? I specified
> FTP protocol. How to force the protocol?

Seems to work fine for me:

$ wget ftp://ftp.fit.vutbr.cz/pub/XFree86/4.3.0/source/\*
--22:02:15--  ftp://ftp.fit.vutbr.cz/pub/XFree86/4.3.0/source/*
           => `.listing'
Resolving ftp.fit.vutbr.cz... 147.229.9.30
Connecting to ftp.fit.vutbr.cz[147.229.9.30]:21... connected.
Logging in as anonymous ... Logged in!
==> SYST ... done.    ==> PWD ... done.
==> TYPE I ... done.  ==> CWD /pub/XFree86/4.3.0/source ... done.
==> PORT ... done.    ==> LIST ... done.

    [ 
<=>                                                                                 
] 1,582          3.36K/s             

22:02:23 (3.36 KB/s) - `.listing' saved [1582]

Removed `.listing'.
--22:02:23--  ftp://ftp.fit.vutbr.cz/pub/XFree86/4.3.0/source/FILES
           => `FILES'
==> CWD not required.
==> PORT ... done.    ==> RETR FILES ... done.
Length: 1,392,966

(and so on)

I think this may have something to do with the fact that you're using a
proxy.  I'm not sure how wget uses 'ftp_proxy', presumably with a HTTP
CONNECT method, right?  There's no such thing as a true native ftp
proxy.  So maybe it's getting confused?  But if it works for you under
linux (assuming the same upstream version of both) then I don't know. 
What I do know is this couldn't possibly have anything to do with Cygwin
directly, except for perhaps the Cygwin upstream version of wget is not
as fresh as the one you're using on linux.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/